Subject: [Int-area] Review of draft-ietf-intarea-router-alert-considerations-01

From: Suresh Krishnan <[email-masked]>
Date: Mon, 18 Oct 2010 18:34:18 -0400

Hi Folks,
    I have read through this draft and I think it is in good shape to go
forward. I do have some comments you may like to address

* Section 3

* I am not sure that IP PID is a well known term and am certain that it
is not defined in RFC791. It does not address IPv6 either. Please define
a new term in the terminology that is IP version agnostic. Something
like Upper Layer Protocol (ULP) that will point to the Protocol field of
the IPv4 header and to the Next Header field of the IPv6 header

* Section 4.2.1 and 4.2.2

* It would be nice if the boxes were labeled/described nicely instead of
A, B and C which give no contextual information to follow the
accompanying text (which is well written).

* Section 5

* I think it would be very useful to talk about filtering using the
"Value" field of the router alert option here in addition to the
existing discussion about filtering based on Payload protocol.

Thanks
Suresh

---

From: Francois Le Faucheur <[email-masked]>
Date: Mon, 18 Oct 2010 21:34:19 -0700

Hello Suresh,

Thanks for the review. A few thoughts below:

> the IPv4 header and to the Next Header field of the IPv6 header

Sounds good. 
We could probably define it as "next level protocol" since this phrase is already used in a few places e.g. IANA Protocol Numbers registry:
"In the Internet Protocol version 4 (IPv4) [RFC791] there is a field called "Protocol" to identify the next level protocol.  This is an 8 bit field.  In Internet Protocol version 6 (IPv6) [RFC1883], this field is called the "Next Header" field."

We could use this term also in section 5 instead of "Payload".

> accompanying text (which is well written).

This boxes are actually quite generic. They pretty much just represent a network.
While the example described in the text is a bit more specific (eg an enterprise network, an SP network,..), the model would apply to any type of network.
Would it help to label them "Network A" instead of just "A"?

> existing discussion about filtering based on Payload protocol.

We can discuss that an implementation may decide to punt/not-punt based on the value field.
Should this be a "SHOULD" (or a "MAY" is sufficient)?

Thanks

Francois

> 
> Thanks
> Suresh
> 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area

Francois Le Faucheur
Distinguished Engineer
Corporate Development
[email-masked]
Phone: +33 49 723 2619
Mobile: +33 6 19 98 50 90

Cisco Systems France
Greenside
400 Ave de Roumanille
06410 Sophia Antipolis
France
Cisco.com

 Think before you print.

This email may contain confidential and privileged material for the sole use of the intended recipient. Any review, use, distribution or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive for the recipient), please contact the sender by reply email and delete all copies of this message.

Cisco Systems France, Société à responsabiité limitée, Rue Camille Desmoulins – Imm Atlantis Zac Forum Seine Ilot 7 92130 Issy les Moulineaux, Au capital de 91.470 €, 349 166 561 RCS Nanterre, Directeur de la publication: Jean-Luc Michel Givone.

For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 19 Oct 2010 18:18:00 -0400

Hi Francois,

> We could use this term also in section 5 instead of "Payload".

Works for me.

> Would it help to label them "Network A" instead of just "A"?

Not really. I was looking at more labeling them based on the trust level 
(e.g. trusted/untrusted network). e.g. in Figure 3 Looking from the view 
of Network B, B is trusted while A and C are not. In Figure 4, both the 
network As are trusted but B is not. and so on. I think this would be 
useful to do but I am not very particular. I will leave it up to you to 
decide if you want to clarify this.

> Should this be a "SHOULD" (or a "MAY" is sufficient)?

I think that MAY is sufficient.

Thanks
Suresh

---

From: Francois Le Faucheur <[email-masked]>
Date: Tue, 19 Oct 2010 19:15:07 -0700

Thanks Suresh.
I'll work this into the new rev.
Francois

On 19 Oct 2010, at 15:18, Suresh Krishnan wrote:

>> Sounds good. We could probably define it as "next level protocol" since this phrase is already used in a few places e.g. IANA Protocol Numbers registry:
> Not really. I was looking at more labeling them based on the trust level (e.g. trusted/untrusted network). e.g. in Figure 3 Looking from the view of Network B, B is trusted while A and C are not. In Figure 4, both the network As are trusted but B is not. and so on. I think this would be useful to do but I am not very particular. I will leave it up to you to decide if you want to clarify this.
> 
>>> * Section 5
>>> 

Francois Le Faucheur
Distinguished Engineer
Corporate Development
[email-masked]
Phone: +33 49 723 2619

Cisco Systems France
Greenside
400 Ave de Roumanille
06410 Sophia Antipolis
France
Cisco.com

 Think before you print.